@font-face {
    font-family: 'MaaxMono';
    src: url('MaaxRegularMono.otf');
}

@font-face {
    font-family: 'MaaxMedium';
    src: url('MaaxMedium.otf');
}

@font-face {
    font-family: 'MaaxBold';
    src: url('MaaxboldMono.otf');
}

html, body {
    margin: auto 0;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    font-family: 'MaaxMono';
    font-size: 1.1em;
}

/*COMMUNS _ HEADER, MENU*/

/*COMMUNS*/

#Titre {
    text-align: center;
    pointer-events: none;
    padding: 3vh;
    height: 14vh;
    margin-left: auto;
    margin-right: auto;
    position: fixed;
    left: 50%;
    top: 10%;
    transform: translate(-50%, -50%);
    /* font-size: 25px; */
    margin-left: auto;
    z-index: 15;
    margin-right: auto;
    background-color: white;
    /* width: 100vw; */
    /* height: 100vh; */
    /* border: solid black 2px; */
}

#Home {
    position: fixed;
    padding: 2vh;
    cursor: pointer;
    z-index: 20;
    width: 20vw;
    height: 5vh;
    background-color: white;
}

#HomeCache {
    top: 5vh;
    width: 515px;
    font-size: 0px;
    transition: 1s;
    z-index: 50;
    position: absolute;
}

#Quesako {
    cursor: pointer;
    position: fixed;
    top: 9vh;
    padding-left: 2vh;
    padding-right: 20vw;
    background-color: white;
    z-index: 25;
    font-size: 30px;
    -webkit-text-emphasis: filled;
}

#Presentation {
    position: absolute;
    text-align: left;
    left: auto;
    z-index: 20;
    top: 16vh;
    width: 20vw;
    font-size: 0px;
    transition: 1s;
    max-width: 250px;
    padding-left: 2vh;
}

#Barre1 {
    width: 6vh;
    margin-bottom: 10px;
    height: 0.3vh;
    background-color: #0b0b0b;
    transition: 1s;
}

#Barre2 {
    width: 6vh;
    height: 1vh;
    background-color: #0b0b0b;
    transition: 1s;
}

#Menu {
    z-index: 30;
    position: fixed;
    right: 0;
    padding: 2%;
    cursor: pointer;
}

#ContainerMenu {
    width: 0vw;
    height: 100%;
    position: fixed;
    right: 0px;
    color: white;
    z-index: 20;
    transition: all 500ms ease;
    background-color: #0b0b0b;
}

#TexteMenu {
    padding: 1vw;
    padding-top: 10vh;
    width: auto;
    overflow: hidden;
    font-size: calc(14px + (26 - 14) * ((25vw - 300px) / (1600 - 300)));
    word-break: break-word;
}

#GoPagePres {
    width: auto;
    overflow: hidden;
}

#GoPageGalerie {}

#GoPageDownload {}

#Categorie1 {
    cursor: pointer;
}

#Categorie2 {
    cursor: pointer;
}

#Categorie3 {
    cursor: pointer;
}

#P1 {
    cursor: pointer;
    display: none;
    margin-left: 20px;
}

#P2 {
    cursor: pointer;
    display: none;
    margin-left: 20px;
}

#P3 {
    cursor: pointer;
    display: none;
    margin-left: 20px;
}

#P4 {
    cursor: pointer;
    display: none;
    margin-left: 20px;
}

#P5 {
    cursor: pointer;
    display: none;
    margin-left: 20px;
}

#P6 {
    cursor: pointer;
    display: none;
    margin-left: 20px;
}

#P7 {
    cursor: pointer;
    display: none;
    margin-left: 20px;
}

/*GALERIE*/

#BackgroundTitre {
    width: 100%;
    /* height: 150px; */
    position: relative;
    top: 0;
    z-index: 0;
    background-color: white;
}

#ContainerBackground {
    overflow-x: hidden;
    overflow-y: scroll;
    height: 100%;
    width: 100%;
    position: absolute;
}

/* PLAYER AUDIO */

.ContainerPlayer {
    position: fixed;
    left: 50%;
    top: 53%;
    transform: translate(-50%, -50%);
    font-size: 25px;
    margin-left: auto;
    z-index: 25;
    margin-right: auto;
    background-color: white;
    /* width: 100vw; */
    /* height: 100vh; */
    /* border: solid black 2px; */
}

#Image {
    width: 100%;
    max-height: 80vh;
}

.audio {
    width: 100%;
}

.video {
    display: none;
}

.allVid {
    width: 100%;
    max-width: 65vh;
    position: relative;
    overflow: hidden;
    border: solid black 5px;
}

.controles {
    display: flex;
    position: absolute;
    bottom: 0;
    width: 100%;
    flex-wrap: wrap;
    background-color: black;
    transform: translateY(100%) translateY(-5px);
    transition: all 0.2s;
}

.allVid:hover .controles {
    transform: translateY(0);
}

.Boutons {
    padding: 10px;
}

.Boutons button {
    background: none;
    border: 0;
    outline: 0;
    cursor: pointer;
    color: white;
}

#Mute {
    position: relative;
    top: -5px;
}

.Boutons #Play-Pause::before {
    content: '\f144';
    font-family: 'Font Awesome 5 free';
    width: 30px;
    height: 30px;
    display: inline-block;
    font-size: 28px;
    color: #fff;
}

.Boutons #Play-Pause.play::before {
    content: '\f144';
}

.Boutons #Play-Pause.pause::before {
    content: '\f28b';
}

.BarreLecture {
    height: 10px;
    width: 100%;
    background: grey;
    cursor: pointer;
}

.BarreMouvante {
    height: 10px;
    background: orange;
}

#Tete_Lecture {
    left: 2px;
    z-index: 0;
    height: 100%;
    position: absolute;
    width: 5px;
    background-color: black;
}

#ContainerAllMosaique {
    position: absolute;
    width: 40vh;
    top: 22vh;
}

.ContainerMosaique {
    margin-left: 1vh;
    width: 20vw;
    max-width: 306px;
    margin-bottom: 3%;
    /* background-color: red; */
    height: auto;
    position: relative;
    left: 2%;
    /* top: 150px; */
}

.ToutesImagesMosaiques {
    cursor: pointer;
    width: 10vh;
    max-width: 75px;
    display: inline-block;
    /* padding: 20px; */
    margin: 1%;
    max-height: 10vh;
    background-color: blue;
}

.TexteContainer {
    position: sticky;
    left: 2%;
}

#WavToPng {
    width: 100%;
    height: 100%;
    padding: 2%;
    /* top: -1%; */
    background-color: #f1f3f4;
    position: absolute;
    z-index: 0;
}

#Warning {
    cursor: pointer;
    display: none;
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
    font-size: 20px;
    margin-left: auto;
    margin-right: auto;
    background-color: red;
    opacity: 0.9;
    z-index: 80;
}

#TexteWarning {
    position: absolute;
    text-align: center;
    padding: 40%;
    top: 50%;
    transform: translateY(-50%);
}

/* INFORMATIONS QUI CONCERNE LES IMAGES*/

#Datas {
    /* font-size: 3vh; */
    z-index: 30;
    position: fixed;
    right: 0;
    z-index: 0;
    padding: 2%;
    cursor: pointer;
    top: 20vh;
    width: 18vw;
    z-index: 10;
}